Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Data Structures | Namespaces
CharStream.h File Reference
`#include "Reader.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::CharStream
| CharStream adds `correctOffset` functionality over `Reader`. All Tokenizers accept a CharStream instead of `Reader` as input, which enables arbitrary character based filtering before tokenization. The `correctOffset` method fixed offsets to account for removal or insertion of characters, so that the offsets reported in the tokens match the character offsets of the original Reader. More...

## Namespaces

namespace | Lucene

clucene.sourceforge.net